﻿@model List<FrameworkCore.Domains.Store.Entities.ProductEntity>;

@foreach(var product in Model){
    <div class="card" style="width: 18rem;">
        <div class="card-image">
            <img class="img-fluid img-thumbnail" src="@product.Pictures.First().Url" alt="Card image cap">
        </div>
        <div class="card-body">
            <h5 class="card-title">@product.Name</h5>
            <p class="card-text">@product.Description</p>
        </div>
          
        <div class="product-btn">
            <button onclick="addCartItem(@product.Id, 1)" type="button" class="btn btn-primary"><i class="fas fa-sharp fa-solid fa-cart-plus"></i></button>
        </div>
    </div>
}
